Subject: Fwd: New Version Notification for draft-fielding-http-key-03.txt

From: Mark Nottingham <[email-masked]>
Date: Thu, 24 Sep 2015 09:46:53 +1000

FYI. This is a fairly major rewrite; would love to get some feedback.

> Begin forwarded message:
> 
> From: [email-masked]
> Subject: New Version Notification for draft-fielding-http-key-03.txt
> Date: 24 September 2015 9:46:11 am AEST
> To: "Mark Nottingham" <[email-masked]>, "Roy T. Fielding" <[email-masked]>, "Mark Nottingham" <[email-masked]>, "Roy T. Fielding" <[email-masked]>
> 
> 
> A new version of I-D, draft-fielding-http-key-03.txt
> has been successfully submitted by Mark Nottingham and posted to the
> IETF repository.
> 
> Name:		draft-fielding-http-key
> Revision:	03
> Title:		The Key HTTP Response Header Field
> Document date:	2015-09-24
> Group:		Individual Submission
> Pages:		17
> URL:            https://www.ietf.org/internet-drafts/draft-fielding-http-key-03.txt
> Status:         https://datatracker.ietf.org/doc/draft-fielding-http-key/
> Htmlized:       https://tools.ietf.org/html/draft-fielding-http-key-03
> Diff:           https://www.ietf.org/rfcdiff?url2=draft-fielding-http-key-03
> 
> Abstract:
>   The 'Key' header field for HTTP responses allows an origin server to
>   describe the secondary cache key ([RFC7234], section 4.1) for a
>   resource, by conveying what is effectively a short algorithm that can
>   be used upon later requests to determine if a stored response is
>   reusable for a given request.
> 
>   Key has the advantage of avoiding an additional round trip for
>   validation whenever a new request differs slightly, but not
>   significantly, from prior requests.
> 
>   Key also informs user agents of the request characteristics that
>   might result in different content, which can be useful if the user
>   agent is not sending request header fields in order to reduce the
>   risk of fingerprinting.
> 
> 
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat
> 

--
Mark Nottingham   https://www.mnot.net/